/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2011 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : archivelogDailyAvg.sql
 *
 * Description:   estimate space required from v$log_history and v$log average log switch and its size for the past 56 days.
 *                take an average of these 56 days, per thread
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set verify off
set timing off
set echo off

SELECT to_char(FROM_TZ(CAST(TO_DATE('&1',
     'YYYY-MM-DD HH24:MI:SS') AS TIMESTAMP), 'Etc/GMT')
     AT TIME ZONE '&2','YYYY-MM-DD HH24:MI:SS') 
FROM DUAL;

exit

