#!/bin/sh
set +x

# echo "create CDS config: One time only at for setting up the config"
# perl actDBM.pl --type cdsconfig --username admin --password password --CDS <CDS IP>

# for seting up the backup
echo "********** starting the backup **************"
perl actDBM.pl --type backup --dbname <source db name> --hostname <source host name under CDS> --backuptype <db or log or dblog> --backuplabel <backup bookmark label> --CDS <CDSIP> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error backingup  database ***************"
exit 1;
fi
echo "********** end backup **************"

# for creating the first time clone when the database backup is under ASM disk group. After clone is created use the refresh option syntex only.

# echo "********** start clone **************"

perl actDBM.pl --type clone --optype newclone --dbname <source database name> --TargetDBname <target clone database name> --OSusername <oracle OS username> --sourceHost <Source Hostname in CDS> --targetHost <Target Hostname in CDS> --image <Source Image name> --backuplabel <source image backup label> --listenerpath <TNS Listener path> --TargetOracleHome <Oracle Home on target server>  --ASMdiskgroup <Prefered ASM diskgroup name> --RACNodeList <RAC node list seperated by colon(:)> --mountpoint <filesystem mount point> --protectNewApplication <yes|no> --totalmemory <Memory in MB> --SGApct <SGA percentage> --pointInTime <if want to clone to a specific time then specify this ('yyyy-mm-dd hh24:mi:ss')> --tnsip <TNS Listener IP> --tnsport <TNS listener port> --tnsdomain <TNS Domain> --redosize <redo log size in MB> --recovery <yes|no> --standalone <If the clone database is rac/standalone specify yes|no> --envvar <environment variables> --template <child db protect template name> --profile <child db protect profile name> --CDS <CDS IP> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error clone/refresh  database ***************"
exit 1;
fi

echo "********** end clone **************"

echo "********** start refresh clone **************"

perl actDBM.pl --type clone --optype refresh --dbname <source database name> --sourceHost <source Hostname in CDS> --targetHost <target Hostname in CDS> --TargetDBname <cloned db name for refresh> --image <Image name> --backuplabel <backup label ID> --pointInTime <if want to clone to a specific time then specify this ('yyyy-mm-dd hh24:mi:ss')> --CDS <CDS IP> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error clone/refresh  database ***************"
exit 1;
fi
echo "********** refresh clone complete **************"

echo "*********** start directmount workflow for clone *************"

perl actDBM.pl --type runwf --subtype directmount --dbname <source database name> --hostname <source Hostname in CDS> --wfname <workflow name> --reprovision <reprovision flag yes/no> --image <Image name> --CDS <CDS IP> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error direct mount workflow ***************"
exit 1;
fi
echo "********** end direct mount workflow **************"

echo "*********** start liveclone workflow for new clone *************"

perl actDBM.pl --type runwf --subtype liveclone --dbname <source database name> --hostname <source Hostname in CDS> --wfname <workflow name> --reprovision <reprovision flag yes/no>  --refreshliveclone yes --provisionliveclone yes --CDS <CDS IP> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error live clone workflow ***************"
exit 1;
fi
echo "*********** end liveclone workflow *************"

echo "*********** start createliveclone image *************"

perl actDBM.pl --type createliveclone --dbname <source database name> --label <liveclone label> --diskpool <disk pool name> --sourceimage  <source image name> --hostname <source Hostname in CDS> --backuplabel <source backup image label> --CDS <CDS name|ip> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running createliveclone image ***************"
exit 1;
fi

echo "*********** end createliveclone image *************"

echo "*********** start refreshliveclone image *************"

perl actDBM.pl --type refreshliveclone --dbname <source database name> --label <liveclone label> --hostname <source Hostname in CDS> --sourceimage  <source image name> --backuplabel <source backup image label> --targetimage  <target image name> --CDS <CDS name|ip> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running refreshliveclone image ***************"
exit 1;
fi
echo "*********** end refreshliveclone image *************"

echo "*********** start list image details *************"
perl actDBM.pl --type listImageDetails --dbname <source database name> --hostname <source Hostname in CDS> --CDS <CDS name|ip> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running list image details ***************"
exit 1;
fi
echo "*********** end list image details *************"

echo "*********** start mount image *************"

perl actDBM.pl --type mount --dbname <source database name> --sourceHost <source Hostname in CDS> --targetHost <target Hostname in CDS> --image <Image name> --ASMdiskgroup <ASM diskgroup name> --RACNodeList <RAC node list> --mountpoint <filesystem mountpoint> --CDS <CDS name|ip> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running mount image ***************"
exit 1;
fi
echo "*********** end mount image *************"

echo "*********** start restore image *************"

perl actDBM.pl --type restore --dbname <source database name> --OSusername <oracle OS username> --sourceHost <source Hostname in CDS> --image <Image name> --backuplabel <source backup image label> --pointInTime <if want to clone to a specific time then specify this ('yyyy-mm-dd hh24:mi:ss')> --ASMdiskgroup <ASM diskgroupname> --RACNodeList <list of RAC nodes seperated by colon> --CDS <CDS IP> --wait <yes|no> --openDB <flag to indicate the restored database need to be in open or in mount state true|false>

if [ $? -gt 0 ]; then
echo "********** error running restore image ***************"
exit 1;
fi
echo "*********** end restore image *************"

echo "*********** start unmount+delete image *************"

perl actDBM.pl --type cleanup --dbname <source database name> --clonedbname <app-aware mount database to be unmounted) --sourceHost <source Hostname in CDS> --targetHost <target Hostname in CDS>  --CDS <CDS IP> --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running unmount+delete image ***************"
exit 1;
fi
echo "*********** end unmount+delete image *************"

echo "*********** start ASM restore database switch  *************"

perl actDBM.pl --type restoreASMswitch --dbname <source database name>  --sourceHost <source Hostname in CDS> --OracleHome <Oracle Home path for the database> --OSusername <OS Oracle username> --OSgridusername <OS grid username> --standalone <standalone flag yes|no> --image <Image name> --ASMdiskgroup <ASM diskgroup name> --RACNodeList list of RAC nodes seperated by colon> --pointInTime <if want to clone to a specific time then specify this ('yyyymmddhh24mi')> --CDS <CDS IP>  --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running ASM restore database switch ***************"
exit 1;
fi
echo "*********** end ASM restore database switch *************"

echo "*********** start ASM restore rebalance  *************"

perl actDBM.pl --type restoreASMrebalance --ASMdiskgroup <ASM diskgroup name> --OSgridusername <OS grid username> --OSusername <OS Oracle username> --ASMdiskString <ASM disk string seperated by comma 'ORCL:ASMDISK0'> --CDS <CDS IP>  --wait <yes|no>

if [ $? -gt 0 ]; then
echo "********** error running ASM restore rebalance ***************"
exit 1;
fi
echo "*********** end ASM restore rebalance *************"

echo "*********** completed all operation *************"
exit 0 

