/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2011 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : archivelogDailyAvg.sql
 *
 * Description:   estimate space required from v$log_history and v$log average log switch and its size for the past 56 days.
 *                take an average of these 56 days, per thread
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
set numwidth 18
WHENEVER SQLERROR EXIT SQL.SQLCODE
select thread#, round(avg(daily_size))
from (
        SELECT THREAD#, TRUNC(completion_time)  "Generation Date" ,
               round(SUM(blocks*block_size),0) daily_size
               FROM gv$archived_log
               where completion_time > sysdate - 60 and dest_id = 1
				    GROUP BY THREAD#,TRUNC(completion_time)
                 order by THREAD#,TRUNC(completion_time)
      )
      group by thread#;
exit;
