#!/bin/sh

set +x
nsid=$1
orahome=$2
dgname=$3
nodelist=$4

if [ -z "$nsid" ]; then
   echo "missing SID name to clone"
   exit 1
fi

if [ -z "$orahome" ]; then
   echo "missing ORACLE_HOME"
   exit 1
fi

if [ -z "$dgname" ]; then
   echo "missing Diskgroup name"
   exit 1
fi

#get grid user name
guser=`ps -ef | grep -i pmon_+asm | grep -v grep | awk '{print $1}'`
israc="true"
if [ -z "$guser" ] && [ -z "$nodelist" ]; then
   echo "no ASM running, stand alone instance"
   israc="false"
fi

oruser=$username

if [ -z "$oruser" ]; then
   echo "missing Oracle user"
   exit 1
fi

#generate an asm_node_config file
source /act/act_scripts/oracleclone/OracleAppMountComFunc.sh
generate_asm_node_config $nodelist $oruser


if [ "$standalone" = "true" ]; then
   /act/act_scripts/asmclone/OracleASMDBClone_nonrac.sh $nsid $orahome $dgname $oruser $guser
else
   /act/act_scripts/asmclone/OracleASMDBClone.sh $nsid $orahome $dgname $oruser $guser $totalmemory $sgapct
fi
retval=$?

if [ $retval -ne 0 ]; then
   echo "ASM Clone failed"
   #always rewind upon failure
   if [ "$standalone" = "true" ]; then
      /act/act_scripts/asmclone/OracleASMDBRewind_nonrac.sh $nsid $orahome $oruser
   else
      /act/act_scripts/asmclone/OracleASMDBRewind.sh $nsid $orahome $oruser
   fi
fi

exit $retval
