#!/bin/sh
set -x
mntpt=$1
orasid=$2
archmnt=$3
ouser=$4
tstamp=$5
dbfsPath=$6
flag=$7

if [ "$#" -lt 5 ]; then
 echo "This script needs min 5 input parameter"
 echo "usage: recoverRman_tstamp.sh <Disk Group Name> <database sid name> <Log Backup location mount path> <Oracle User> <timestamp yyyymmddhh24mi>"
exit 1
fi

source /act/act_scripts/oracleclone/OracleAppMountComFunc.sh

BASEDIR=$(dirname $0)
echo $BASEDIR
cd $BASEDIR

export ORACLE_SID=$orasid
dbrecover="dbrecover_"$orasid".txt"
cstrfile="catalogArchivelog_"$orasid".txt"
change_own $ouser $dbrecover

if [ -f $cstrfile ]; then
 rm -f $cstrfile
fi

if [ ! -z "$DB_TZ" ]; then
echo " ********** setting TZ:$DB_TZ  ***************"
TZ=$DB_TZ
export TZ
fi

if [ -z "$rmanchannels" ]; then
rmanchannels=4;
fi

allocatech=
releasech=
i=0
while [ $i -lt "$rmanchannels" ]; do
if [ -z "$allocatech" ]; then
allocatech="allocate channel d$i device type disk;"
releasech="release channel d$i;"
else
allocatech=$allocatech"allocate channel d$i device type disk;"
releasech=$releasech"release channel d$i;"
fi
i=`expr $i + 1`
done

if [ ! -f "$dbfsPath" ]; then
  roTBS=''
else
roTBS=`cat $dbfsPath`
fi

if [ ! -z "$roTBS" ]; then
recoverCMD="skip tablespace $roTBS"
else
recoverCMD=""
fi
 
echo "******* recovering database *********** "
export NLS_DATE_FORMAT="yyyymmddhh24mi"
export NLS_DATE_LANGUAGE=ENGLISH
export NLS_LANG=''

if [ ! -z $archmnt ]; then
     dirs=`ls -d $archmnt*`
     cstr=""
     for d in ${dirs}; do
         archmntpt=$d"/archivelog/"
         find $archmntpt -mtime -"$imageLogOffset" -type f >> $cstrfile
     done

     sed -i -e "s/^/catalog BACKUPPIECE '/" $cstrfile
     sed -i "s/$/' ;/" $cstrfile
     if [ "$flag" != "no" ]; then
        cstr=`cat $cstrfile`
     else
        cstr=''
     fi


   if [ ! -z $tstamp ]; then
     if [ $pdbcnt -gt 0 ] && [ "$ischild" = "true" ]; then
    
        rmancmd="run
        {
	$allocatech
        catalog start with '$mntpt/archivelog' noprompt;
        $cstr 
	recover database until time \"to_date('$tstamp','yyyymmddhh24mi')\" skip tablespace \"pdb\$seed\":SYSTEM, \"pdb\$seed\":SYSAUX;
	$releasech
        }"
      else
        rmancmd="run
        {
	$allocatech
        catalog start with '$mntpt/archivelog' noprompt;
        $cstr 
        recover database until time \"to_date('$tstamp','yyyymmddhh24mi')\" $recoverCMD;
	$releasech
        }"
     fi

retv1=`su -m $ouser -c "$ORACLE_HOME/bin/rman target / log=$dbrecover append " << EOF
                 sql "alter session set NLS_DATE_FORMAT=''yyyymmddhh24mi''";
                 sql "alter session set NLS_DATE_LANGUAGE=''ENGLISH''";
                 $rmancmd
                 exit
EOF`

   else
	rmancmd="run
        {
	$allocatech
        catalog start with '$mntpt/archivelog' noprompt;
        $cstr
        recover database $recoverCMD;
	$releasech
        }"
	
	retv2=`su -m $ouser -c "$ORACLE_HOME/bin/rman target / log=$dbrecover append " << EOF
                 $rmancmd
                 exit
EOF`

   fi
else
        rmancmd="run
        {
	$allocatech
        catalog start with '$mntpt/archivelog' noprompt;
	recover database $recoverCMD;
	$releasech
        }"
	
	retv3=`su -m $ouser -c "$ORACLE_HOME/bin/rman target / log=$dbrecover append " << EOF
                 $rmancmd
                 exit
EOF`

fi
if [ -f $cstrfile ]; then
 rm -f $cstrfile
fi
exit 0


