#!/bin/sh
set -x
mntpt=$1
orasid=$2
dbswfile=$3
ouser=$4
archmnt=$5
tstamp=$6

if [ "$#" -lt 4 ]; then
 echo "This script needs 4 input parameter"
 echo "usage: recoverRman_tstamp.sh <Disk Group Name> <database sid name> <switch file> <Oracle User> <Log Backup location mount path> <timestamp yyyymmddhh24miss>"
exit 1
fi

BASEDIR=$(dirname $0)
echo $BASEDIR
cd $BASEDIR
dbrecover="dbrecover.txt"

if [ ! -f "$dbfsPath" ]; then
  roTBS=''
else
roTBS=`cat $dbfsPath`
fi

if [ ! -z "$roTBS" ]; then
recoverCMD="skip tablespace $roTBS"
else
recoverCMD=""
fi

cuser=`whoami`

if [ "$cuser" != "$ouser" ]; then
suser="su -m $ouser -c "
else
suser=""
fi

export ORACLE_SID=$orasid


 rmancmd2="run
        {
        recover database $recoverCMD;
        }"
 rmancmd3="run
        {
        recover database until time \"to_date('$tstamp','yyyymmddhh24miss')\" $recoverCMD;
        }"

echo "******* recovering database *********** "
export NLS_DATE_FORMAT="yyyymmddhh24miss"

if [ ! -z $archmnt ]; then
   if [ ! -z $tstamp ]; then
	if [ "x$suser" = "x" ]; then
	     retv=`$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
	     $rmancmd3
	     exit
EOF`
        else
             retv=`$suser "$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
             $rmancmd3
             exit
EOF"`
       fi
   else
        if [ "x$suser" = "x" ]; then
            retv1=`$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
	    $rmancmd2
            exit
EOF`
        else
            retv1=`$suser "$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
            $rmancmd2
            exit
EOF"`
        fi
   fi
else
	if [ "x$suser" = "x" ]; then
	    retv2=`$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
 	    $rmancmd2
 	    exit
EOF`
	else	
            retv2=`$suser "$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
            $rmancmd2
            exit
EOF"`
        fi
fi

exit 0

