#!/bin/sh
set -x
mntpt=$1
orasid=$2
dbswfile=$3
ouser=$4
archmnt=$5
tstamp=$6

if [ "$#" -lt 4 ]; then
 echo "This script needs 4 input parameter"
 echo "usage: recoverRman_tstamp.sh <Disk Group Name> <database sid name> <switch file> <Oracle User> <Log Backup location mount path> <timestamp yyyymmddhh24miss>"
exit 1
fi

BASEDIR=$(dirname $0)
echo $BASEDIR
cd $BASEDIR

if [ ! -f "$dbfsPath" ]; then
  roTBS=''
else
roTBS=`cat $dbfsPath`
fi

if [ ! -z "$roTBS" ]; then
recoverCMD="skip tablespace $roTBS"
else
recoverCMD=""
fi

cuser=`whoami`

if [ "$cuser" != "$ouser" ]; then
suser="su -m $ouser -c "
else
suser=""
fi

export ORACLE_SID=$orasid
dbrecover="dbrecover.txt"
#chmod 777 $dbrecover
 rmancmd2="run
        {
        recover database $recoverCMD;
        }"
 rmancmd3="run
        {
        recover database until time \"to_date('$tstamp','yyyymmddhh24miss')\" $recoverCMD;
        }"

echo "******* recovering database *********** "
export NLS_DATE_FORMAT="yyyymmddhh24miss"

if [ ! -z $archmnt ]; then
     #12c catalog start with need full path
     dirs=`ls -d $archmnt*`
cstr=""
for d in ${dirs}; do
    ad=$d"/archivelog"
    cstr=$cstr"catalog start with '$ad' noprompt;"
done
     rmancmd="run
        {
        catalog start with '$mntpt/archivelog' noprompt;
        catalog start with '$mntpt/datafile' noprompt;
        $cstr
        }"
   if [ ! -z $tstamp ]; then
	if [ "x$suser" = "x" ]; then
	     retv=`$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
	     $rmancmd
	     switch database to copy;
	     $rmancmd3
	     exit
EOF`
        else
             retv=`$suser "$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
             $rmancmd
             switch database to copy;
             $rmancmd3
             exit
EOF"`
       fi
   else
        if [ "x$suser" = "x" ]; then
            retv1=`$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
            $rmancmd
	    switch database to copy;
	    $rmancmd2
            exit
EOF`
        else
            retv1=`$suser "$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
            $rmancmd
            switch database to copy;
            $rmancmd2
            exit
EOF"`
        fi
   fi
else
	rmancmd="run
	{
	catalog start with '$mntpt/archivelog' noprompt;
	catalog start with '$mntpt/datafile' noprompt;
	}"

	if [ "x$suser" = "x" ]; then
	    retv2=`$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
	    $rmancmd
 	    switch database to copy;
 	    $rmancmd2
 	    exit
EOF`
	else	
            retv2=`$suser "$ORACLE_HOME/bin/rman target / log=$dbrecover append << 'EOF'
            $rmancmd
            switch database to copy;
            $rmancmd2
            exit
EOF"`
        fi
fi

if [ -e $dbswfile ]; then
   rm -f $dbswfile
fi


echo -e "DB_SWITCH=YES" > $dbswfile
echo -e "DB_REBALANCE=NO" >> $dbswfile
echo -e "UNMAP=NO" >> $dbswfile
if [ ! -z "$ACT_MAN_SWITCH" ]; then
   echo -e "ACT_MANAGED_SWITCH=YES" >> $dbswfile
fi

chmod 775 $dbswfile
	
exit 0

