/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 20112 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : backupToDatafileMap.sql
 *
 * Description:   input parameter 1 sets the width of line returned to ensure a long filename returned in a single value
 *                input parameter 2 is the tag name for the backup
 *
 * =============================================================
 */

set lin &1
select bk.fname, df.name from v$backup_files bk, v$datafile df 
   where bk.file_type = 'DATAFILE' 
   and bk.backup_type = 'COPY' 
   and upper(bk.tag) = upper('&2') 
   and instr(bk.fname, '_FNO-' || df.file# || '_') > 0;