#!/bin/sh
# =============================================================================
# Actifio Unified Data Protector
# Copyright (c) 2011 Actifio Inc. All Rights Reserved
#
# This program code contains trade secrets of Actifio Inc. that
# (i) derive independent economic value, actual or potential, from not being
# generally known to, and not being readily ascertainable by proper means by
# other persons who can obtain economic value from their disclosure or use and;
# (ii) are the subject of efforts by Actifio Inc that are reasonable under the
# circumstances to maintain their secrecy. You may not use this program code
# without prior written authorization from Actifio Inc.
#
# ==============================================================================
os=`uname -s`
otab=/etc/oratab

awkc=awk
if [ $os = "SunOS" ]; then
   otab=/var/opt/oracle/oratab
   awkc=nawk
fi

if [ $sid = "dummydbwithhome" ]; then
    oraclehome=$orahome
else
    oraclehome=`grep -wi "$sid:"  $otab | grep "^$sid" | head -n1 | cut -f2 -d":"`
fi

TNSDIR=''
if [ -z "$nlistener" ]; then
   TNSDIR=`ps -ef | grep tns | grep -v grep | grep -i listener | $awkc NR==1 | $awkc -F"/bin" '{print $(NF-1)}' | awk '{print $NF}'`
else
   TNSDIR=`ps -ef | grep tns | grep -v grep | grep -i $nlistener | $awkc NR==1 | $awkc -F"/bin" '{print $(NF-1)}' | awk '{print $NF}'`
   if [ ! -d "$TNSDIR" ]; then
      TNSDIR=`ps -ef | grep tns | grep -v grep | grep -i -w $nlistener | $awkc NR==1 |  $awkc -F"/bin" '{print $(NF-1)}' | awk '{print $NF}'`
   fi
fi

TNS_ADMIN=$TNSDIR/network/admin
tnsdir="/act/act_scripts/TNSADMIN_"$sid".tns"
if [ -f $tnsdir ]; then
   TNS_ADMIN=`cat $tnsdir`
fi

PATH=$oraclehome/bin:$PATH
ORACLE_HOME=$oraclehome
ORACLE_SID=$instid
LD_LIBRARY_PATH=$oraclehome/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
export PATH
export ORACLE_SID
export ORACLE_HOME
export TNS_ADMIN
export LD_LIBRARY_PATH
