#!/bin/sh
set +x
filename=$1
jobname=$2

if [ "$#" -ne 2 ]; then
echo "This script needs 2 input parameters. Usage: create_job_log.sh RMANlogfilepath </var/act/log/testdb_rman.log> JobName <Job_12345>"
exit 1
fi

curdir=$(dirname $0)

#filename=`echo $filename | tr '[a-z]' '[A-Z]'`
#rmanlog="/var/act/log/"$filename
#if [ ! -f $rmanlog ]; then
#   filename=`echo $filename | tr '[A-Z]' '[a-z]'`
   if [ ! -f $filename ]; then
        echo "could not find $filename "
        exit 1
   fi
#fi

rmanlog=$(basename "$filename")
outdir=$(dirname "$filename")
initstring=$jobname"_"
initline=`grep -n -i "$initstring" "$filename" | sed  's/\([0-9]*\).*/\1/' | head -n1`
echo "init $initline"
if [ "x$initline" = "x" ]; then
echo "the $jobname does not exist in $outdir"/"$rmanlog file"
exit 1
break
fi
endstring1=$jobname"_Crosscheck_Delete_Obsolete_Complete"
endstring2=$jobname"_LogSmart_Controlfile_Backup_Complete"

endline=`grep -n -i "$endstring2" "$filename" | sed  's/\([0-9]*\).*/\1/' | head -n1`
if [ "x$endline" = "x" ]; then
endline=`grep -n -i "$endstring1" "$filename" | sed  's/\([0-9]*\).*/\1/' | head -n1`
fi
echo "end line1 is $endline"
if [ "x$endline" = "x" ]; then
eline=1

for eline in `grep -n "RMAN-" "$filename" | sed  's/\([0-9]*\).*/\1/'`
do
    if [ $eline -gt $initline ]; then
        break
    fi
done
endline=$((eline+10))
fi
echo "end line is $endline"

outlog="rmanlog_"$jobname".log"
outlogfile=$outdir/$outlog
cat $filename | head -n $endline | tail -$(($endline-($initline)+1)) > $outlogfile
retval=$? 
if [ $retval -eq 0 ]; then
echo "rman job log file $outlogfile is created successfully"
else
exit 1
fi
