/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2013 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : datafileDeviceFS.sql
 *
 * Description:   get devices where datafiles reside
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set linesize 300
set echo off
WHENEVER SQLERROR EXIT SQL.SQLCODE
select distinct case when instr(name, '/') > 0
        then substr(name, 1, instr(name, '/', -1)) else substr(name, 1, instr(name, '\', -1))
        end as device
        from v$datafile
 union
 select distinct case when instr(name, '/') > 0
        then substr(name, 1, instr(name, '/', -1)) else substr(name, 1, instr(name, '\', -1))
        end as device
        from v$controlfile
 union
 select distinct case when instr(member, '/') > 0
        then substr(member, 1, instr(member, '/', -1)) else substr(member, 1, instr(member, '\', -1))
        end as device
        from v$logfile;
exit;

