#!/bin/sh

if [ "$#" -ne 1 ]; then
 echo "This script needs 1 input parameter"
 echo "usage: asmEnvDetail.sh <0/1>, where 1 => Do not run any blocking commands and 0 => Run all diagnostic commands"
exit 1
fi

nonblock=$1

os=`uname -s`
otab=/etc/oratab

orauser=`ps -ef | grep -v grep | grep ora_pmon_"$dbsid" | sed -e 's/^[ \t]*//' | cut -d" " -f1`

awkc=awk
if [ $os = "SunOS" ]; then
   otab=/var/opt/oracle/oratab
   awkc=nawk
fi

echo "********** ORACLE running process result (ps -ef) ************"

ps -ef | grep pmon

if [ "$os" = "Linux" ]; then
   echo ""
   echo "********** Additional details about ASM timezone TZ ************"
   asmpmonid=`ps -aef | grep asm_pmon | grep -v grep | awk '{print $2}'`
   cat /proc/$asmpmonid/environ
   echo ""
   echo "********** Additional details about Oracle timezone TZ ************"
   orapmonid=`ps -aef | grep ora_pmon | grep -v grep | head -1 | awk '{print $2}'`
   cat /proc/$orapmonid/environ
fi

echo "********** ORACLE oratab entry (cat /etc/oratab) ************"

cat $otab


echo "********** Protected ORACLE database ASM Details ************"
var="+ASM"
for ASMSID in $var; do
 ASMS=`grep -i "$ASMSID" $otab | head -n1 | cut -f1 -d":"`
 echo "asmsid is: $ASMS"
 if [ -z "$ASMS" ]; then
   echo "********** ASM Details not available ************"
   ASMHOME=''
 else
   ASMHOME=`grep -i "$ASMS:" $otab | head -n1 | cut -f2 -d":"`
   echo "asmhome is: $ASMHOME"
 fi
done

if [ -z "$ASMHOME" ]; then
   echo "********** ASM Details not available ************"
else

ORACLE_HOME=$ASMHOME
LD_LIBRARY_PATH=$ASMHOME/lib:/usr/lib:/lib
PATH=$ASMHOME/bin:$PATH
ORACLE_SID="$ASMS"
asmcmd=$ASMHOME/bin/asmcmd
export ORACLE_HOME
export LD_LIBRARY_PATH
export PATH
export ORACLE_SID

guser=`ps -ef | grep pmon | grep $ORACLE_SID | sed -e 's/^[ \t]*//' | cut -d" " -f1`
echo "********** Protected ORACLE database ASM lsdg  ************"

echo $ASMHOME
echo $LD_LIBRARY_PATH
echo $ORACLE_SID
echo $guser

if [ "$os" != "Linux" ]; then
su $guser -c "$asmcmd lsdg"
else
su -m $guser -c "$asmcmd lsdg"
fi
echo "********** Protected ORACLE database ASM diskgroup status  ************"

if [ "$nonblock" = "0" ]; then
  if [ "$os" != "Linux" ]; then
    su $guser -c "$ORACLE_HOME/bin/sqlplus -s / as sysasm @/act/act_scripts/asmEnvDetail.sql"
  else
    su -m $guser -c "$ORACLE_HOME/bin/sqlplus -s / as sysasm @/act/act_scripts/asmEnvDetail.sql"
  fi
fi

echo "********** Protected ORACLE database ASM disk link (/dev/actifio/asm  ************"
ls -ltr /dev/actifio/asm
echo "********** Protected ORACLE database RAC CRS details  ************"
crsctl stat res -t
fi

exit;
