#!/bin/sh
set +x

dbsid=$1
dbid=$2
#dbsid=satdb2
#dbid=satdb

if [ "$#" -lt 2 ]; then
 echo "This script needs 2 input parameter"
 echo "usage: oraEnvDetail.sh <database sid name> <database name>"
exit 1
fi


os=`uname -s`
otab=/etc/oratab

orauser=`ps -ef | grep -v grep | grep ora_pmon_"$dbsid" | sed -e 's/^[ \t]*//' | cut -d" " -f1`

awkc=awk
if [ $os = "SunOS" ]; then
   otab=/var/opt/oracle/oratab
   awkc=nawk
fi

oraclehome=`grep -wi "$dbsid:"  $otab | grep "^$dbsid" | head -n1 | cut -f2 -d":"`
if [ -z "$oraclehome" ]; then
oraclehome=`grep -wi "$dbid:"  $otab | grep "^$dbid" | head -n1 | cut -f2 -d":"`
fi

PATH=$oraclehome/bin:$PATH
ORACLE_HOME=$oraclehome
ORACLE_SID=$dbsid
LD_LIBRARY_PATH=$oraclehome/lib${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
export PATH
export ORACLE_SID
export ORACLE_HOME
export LD_LIBRARY_PATH


echo "********** ORACLE running process result (ps -ef) ************" 

ps -ef | grep pmon 

echo "********** ORACLE oratab entry (cat /etc/oratab) ************" 

cat $otab 


echo "********** Protected ORACLE database details ************" 


if [ "$os" != "Linux" ]; then
su $orauser -c "$ORACLE_HOME/bin/sqlplus -s / as sysdba @/act/act_scripts/oraEnvDetail.sql"
else
su -m $orauser -c "$ORACLE_HOME/bin/sqlplus -s / as sysdba @/act/act_scripts/oraEnvDetail.sql" 
fi

echo "********** Protected ORACLE database RMAN details ************" 

if [ "$os" != "Linux" ]; then
su $orauser -c "$ORACLE_HOME/bin/rman target / " << EOF
show all;
EOF
else
su -m $orauser -c "$ORACLE_HOME/bin/rman target / " << EOF
show all;
EOF
fi

echo "********** Protected ORACLE database Opatch inventory Details ************"

if [ "$os" != "Linux" ]; then
su $orauser -c "$ORACLE_HOME/OPatch/opatch lsinventory" 
else
su -m $orauser -c "$ORACLE_HOME/OPatch/opatch lsinventory" 
fi

echo "********** Protected ORACLE database ASM Details ************" 
var="+ASM"
for ASMSID in $var; do
 ASMS=`grep -i "$ASMSID" $otab | head -n1 | cut -f1 -d":"`
 echo "asmsid is: $ASMS"
 if [ -z "$ASMS" ]; then
   echo "********** ASM Details not available ************" 
   ASMHOME=''
 else
   ASMHOME=`grep -i "$ASMS:" $otab | head -n1 | cut -f2 -d":"`
   echo "asmhome is: $ASMHOME"
 fi
done

if [ -z "$ASMHOME" ]; then
   echo "********** ASM Details not available ************" 
else

ORACLE_HOME=$ASMHOME
LD_LIBRARY_PATH=$ASMHOME/lib:/usr/lib:/lib
PATH=$ASMHOME/bin:$PATH
ORACLE_SID="$ASMS"
asmcmd=$ASMHOME/bin/asmcmd
export ORACLE_HOME
export LD_LIBRARY_PATH
export PATH
export ORACLE_SID

guser=`ps -ef | grep pmon | grep $ORACLE_SID | sed -e 's/^[ \t]*//' | cut -d" " -f1`
echo "********** Protected ORACLE database ASM lsdg  ************" 

echo $ASMHOME
echo $LD_LIBRARY_PATH
echo $ORACLE_SID
echo $guser

if [ "$os" != "Linux" ]; then
su $guser -c "$asmcmd lsdg" 
else
su -m $guser -c "$asmcmd lsdg" 
fi
echo "********** Protected ORACLE database ASM diskgroup status  ************" 

if [ "$os" != "Linux" ]; then
su $guser -c "$ORACLE_HOME/bin/sqlplus -s / as sysasm @/act/act_scripts/asmEnvDetail.sql"  
else
su -m $guser -c "$ORACLE_HOME/bin/sqlplus -s / as sysasm @/act/act_scripts/asmEnvDetail.sql"  
fi

echo "********** Protected ORACLE database ASM disk link (/dev/actifio/asm  ************" 
ls -ltr /dev/actifio/asm 
echo "********** Protected ORACLE database RAC CRS details" 
crsctl stat res -t
fi

exit;
