#!/bin/sh

if [ "$#" -ne 1 ]; then
 echo "This script needs 1 input parameter"
 echo "usage: osEnvDetail.sh <0/1>, where 1 => Do not run any blocking commands and 0 => Run all diagnostic commands"
exit 1
fi

nonblock=$1

echo "Start collecting OS environment diagnostic details"

echo "********** (uname -a) ************"
uname -a

echo "********** (Fetch multipath.conf file) ************"
cat /etc/multipath.conf

echo "********** (Fetch lvm.conf file) ************"
cat /etc/lvm/lvm.conf

echo "********** (ls -l /dev/disk/by-id) ************"
ls -l /dev/disk/by-id

echo "********** (dmsetup info) ************"
dmsetup info

echo "********** (ls -l /dev/actifio/asm) ************"
ls -l /dev/actifio/asm

echo "********** (lvm version) ************"
lvm version

echo "********** (ps -aux) ************"
ps -aux

echo "********** (cat /proc/meminfo) ************"
cat /proc/meminfo

echo "********** (cat /proc/cpuinfo) ************"
cat /proc/cpuinfo

echo "********** (cat /proc/mounts) ************"
cat /proc/mounts

echo "********** (cat /proc/mtab) ************"
cat /proc/mtab

if [ "$nonblock" = "0" ]; then
  echo "********** (fdisk -l) ************"
  fdisk -l

  echo "********** (multipath -l) ************"
  multipath -l

  echo "********** (blkid) ************"
  blkid

  echo "********** (pvs -a) ************"
  pvs -a

  echo "********** (vgs -a) ************"
  vgs -a

  echo "********** (lvs -a) ************"
  lvs -a

  echo "********** (pvdisplay) ************"
  pvdisplay

  echo "********** (vgdisplay) ************"
  vgdisplay

  echo "********** (lvdisplay) ************"
  lvdisplay
fi

echo "End collecting OS environment diagnostic details"

