/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 20112 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : diagBCT.sql
 *
 * Description:   
 *
 * =============================================================
 */
set pages 0
set head off
set feed off
set timing off
set echo off
set numwidth 18

select count(distinct bno)*32 
from x$krcbit b 
where b.fno = &1 
and b.vercnt >= 
   (select min(ver) from 
     (select curr_vercnt ver, curr_highscn high, curr_lowscn low 
      from x$krcfde 
      where fno = &1
      union all 
      select vercnt ver, high, low
      from x$krcfbh where fno = &1)
    where (select max(bd.checkpoint_change#) 
      from v$backup_datafile bd 
      where bd.file# = &1 
      and bd.incremental_level <= 1) between low and high
    )
/


