/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2013 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : diskgroupNames.sql
 *
 * Description:   get diskgroup names where datafile, log, and controlfile reside
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set linesize 300
set echo off
WHENEVER SQLERROR EXIT SQL.SQLCODE
select distinct dgk.dgname ||':'|| dgk.path 
from (select dk.path, dg.name dgname from v$asm_disk dk, v$asm_diskgroup dg where dk.group_number = dg.group_number) dgk, 
((select distinct substr(name,2, instr(name, '/', 2,1)-2) dgname from v$datafile) 
union all (select distinct substr(name,2, instr(name, '/', 2,1)-2) dgname from v$controlfile) 
union all (select distinct substr(member,2, instr(member, '/', 2,1)-2) dgname from v$logfile)) dn 
where dgk.dgname = dn.dgname;
exit;
