/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2011 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : estimateArchlogSize.sql
 *
 * Description:   estimate space required for archived logs, include current redo log which to be archived at the end
 * 				  of backup process
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
set numwidth 18
WHENEVER SQLERROR EXIT SQL.SQLCODE
select (r.total + a.total) total from (select sum(bytes) total from sys.v_$log where status = 'CURRENT' and archived = 'NO') r, (select sum(blocks*block_size) total from v$archived_log where status = 'A' and archived = 'YES') a;
exit;
