/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2012 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : getActiveDGBeginLogSeq.sql
 *
 * Description:   get log sequence for all threads of active dataguard standby
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
WHENEVER SQLERROR EXIT SQL.SQLCODE
select thread, min(seq - 1) from (
select thread# thread, min(sequence#) seq 
from gv$archived_log where applied = 'NO' and status = 'A' and completion_time >= (sysdate - 1) group by thread# 
union
select thread# thread, max(sequence#) seq 
from gv$log where status = 'CURRENT' or status = 'CLEARING_CURRENT' group by thread#) 
group by thread order by 1;
exit;
