/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2018 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : getDuplicatedCopies_win.sql
 *
 * Description:   get duplicated datafile backup copy on Windows instance, with completion_time in force
 *
 * =============================================================
 */

set lin 120
set pages 0
set head off
set feed off
set timing off
set echo off
SET VERIFY OFF
WHENEVER SQLERROR EXIT SQL.SQLCODE
select c.name 
from v$datafile_copy c
, (
select
   n.file#
, min(n.completion_time) completion_time
from  v$datafile_copy n
where UPPER(n.tag) = UPPER('&1')
and n.completion_time < sysdate -56/1440
and n.deleted = 'NO'
group by n.file#
having count(*) > 1
order by n.file#
) nw
where UPPER(c.tag) = UPPER('&1')
and c.completion_time < sysdate -56/1440
and c.deleted = 'NO'
and c.file#=nw.file#
and c.completion_time=nw.completion_time;
exit;



