/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2011 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : maxDbsize.sql
 *
 * Description:   get database size for backup, this is max size of the instance including
 * 				  auto extendable data files and control files, size is in bytes
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
SET VERIFY OFF
set numwidth 18
WHENEVER SQLERROR EXIT SQL.SQLCODE
select case when sum(bytes)*1.5 < 53687091200 then 53687091200
when sum(bytes)*1.5 < 107374182400 then 107374182400 
when sum(bytes)*1.5 < 214748364800 then 214748364800 
else round(nvl(sum(bytes), 0)*1.5)
end
from v$datafile;
exit;
