#!/bin/bash

set -x

echo "***************** POSTSKJOB_TYPE= $ACT_JOBTYPE *********************"

if [ $ACT_JOBTYPE == "unmount" ] || [ $ACT_MULTI_OPNAME == "unmount" ] ; then
   echo "NO-OP for post-script when unmount"
   exit 0
fi
if [ $ACT_JOBTYPE == "mount" ] || [ $ACT_MULTI_OPNAME == "mount" ] ; then
   if [ $ACT_PHASE == "pre" ] ; then
        echo "** No op for pre during unmount **"
      exit
   fi
   if [ "$ACT_LOGSMART_TYPE" == "log" ] ; then
        echo "** No op for log during unmount **"
     exit
   fi
   if [ $ACT_PHASE == "post" ] ; then
        echo "************************* start post during mount ************************"

. /act/scripts/act_Conf_AddToPrimary_Replica.conf

if [ -z $SOURCE_PRIMARY_NODE ]; then
   echo "ERROR SOURCE_PRIMARY_NODE IP is not set , check /act/scripts/act_Conf_AddToPrimary_Replica.conf file existing..."
   exit 1
fi

if [ -z $SOURCE_PRIMARY_PORT ]; then
   echo "ERROR SOURCE_PRIMARY_PORT mongdb port is not set, check /act/scripts/act_Conf_AddToPrimary_Replica.conf file existing..."
   exit 1
fi

if [ -z $SOURCE_MONGO_REPLICASET ]; then
   echo "ERROR SOURCE_MONGO_REPLICASET mongdb replicaset name is not set, check /act/scripts/act_Conf_AddToPrimary_Replica.conf file existing..."
   exit 1
fi

if [ -z $TARGET_REPLICA_NODE ]; then
   echo "ERROR TARGET_REPLICA_NODE IP is not set , check /act/scripts/act_Conf_AddToPrimary_Replica.conf file existing..."
   exit 1
fi

if [ -z $TARGET_REPLICA_PORT ]; then
   echo "ERROR TARGET_REPLICA_PORT mongdb port is not set, check /act/scripts/act_Conf_AddToPrimary_Replica.conf file existing..."
   exit 1
fi

if [ -z $TARGET_REPLICA_MOUNTPOINT ]; then
   echo "ERROR TARGET_REPLICA_MOUNTPOINT mount point is not set, check /act/scripts/act_Conf_AddToPrimary_Replica.conf file existing..."
   exit 1
fi

SOURCE_PRIMARY_NODE=$SOURCE_PRIMARY_NODE
SOURCE_PRIMARY_PORT=$SOURCE_PRIMARY_PORT
TARGET_REPLICA_MOUNTPOINT=$TARGET_REPLICA_MOUNTPOINT
TARGET_REPLICA_NODE=$TARGET_REPLICA_NODE
TARGET_REPLICA_PORT=$TARGET_REPLICA_PORT
MONGO_REPLICASET=$SOURCE_MONGO_REPLICASET

echo "************************ initializing slave node ......................."
cmd="mongod --dbpath $TARGET_REPLICA_MOUNTPOINT --port $TARGET_REPLICA_PORT --replSet $MONGO_REPLICASET"
echo $cmd
nohup $cmd > $x/logfile.out 2>&1 &
sleep 10

primary=$SOURCE_PRIMARY_NODE:$SOURCE_PRIMARY_PORT
echo "****** adding secondary to primary ........................"
/usr/bin/mongo ${primary}/admin --eval "printjson(rs.add('${TARGET_REPLICA_NODE}:$TARGET_REPLICA_PORT'))"

echo "****** completed adding secondary to primary ........................"

fi
fi

exit

