#!/bin/bash

set -x

echo "****************** PRESK_JOBTYPE $ACT_JOBTYPE ***************"

#export ACT_JOBTYPE="unmount"
#export ACT_PHASE="pre"

if [ $ACT_JOBTYPE == "unmount" ] || [ $ACT_MULTI_OPNAME == "unmount" ] ; then
   if [ $ACT_PHASE == "post" ] ; then
        echo "NO-OP for post-script when unmount"
        echo "** no op exit **"
      exit
   fi
   if [ "$ACT_LOGSMART_TYPE" == "log" ] ; then
        echo "** no op exit **"
     exit
   fi
   if [ $ACT_PHASE == "pre" ] ; then
        echo "************************* start pre during unmount ************************"

. /act/scripts/act_Conf_AddToPrimary_Replica.conf

if [ -z $SOURCE_PRIMARY_NODE ]; then
   echo "ERROR SOURCE_PRIMARY_NODE IP is not set , check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

if [ -z $SOURCE_PRIMARY_PORT ]; then
   echo "ERROR SOURCE_PRIMARY_PORT mongdb port is not set, check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

if [ -z $SOURCE_MONGO_REPLICASET ]; then
   echo "ERROR SOURCE_MONGO_REPLICASET source mongdb replicaset name is not set, check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

if [ -z $TARGET_REPLICA_NODE ]; then
   echo "ERROR TARGET_REPLICA_NODE IP is not set , check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

if [ -z $TARGET_REPLICA_PORT ]; then
   echo "ERROR TARGET_REPLICA_PORT mongdb port is not set, check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

SOURCE_PRIMARY_NODE=$SOURCE_PRIMARY_NODE
SOURCE_PRIMARY_PORT=$SOURCE_PRIMARY_PORT
TARGET_REPLICA_NODE=$TARGET_REPLICA_NODE
TARGET_REPLICA_PORT=$TARGET_REPLICA_PORT
MONGO_REPLICASET=$SOURCE_MONGO_REPLICASET

primary=$SOURCE_PRIMARY_NODE:$SOURCE_PRIMARY_PORT
echo "****** removing secondary from primary ........................"
/usr/bin/mongo ${primary}/admin --eval "printjson(rs.remove('${TARGET_REPLICA_NODE}:$TARGET_REPLICA_PORT'))"

echo "****** completed removing secondary to primary ........................"

pmonid=`ps aux | grep -i mongod | grep -i dbpath | grep -i $TARGET_REPLICA_PORT | awk {'print $2'}`

if [ ! -z $pmonid ] && [ "$pmonid" -gt "0" ]; then
echo "stopping mongo process id $pmonid running on port $TARGET_REPLICA_PORT"
kill -9 $pmonid
sleep 5
fi

fi
fi

exit


