#!/bin/bash

set -x

echo "****************** PRESK_JOBTYPE $ACT_JOBTYPE ***************"

#export ACT_JOBTYPE="unmount"
#export ACT_PHASE="pre" 

if [ $ACT_JOBTYPE = "unmount" ] || [ $ACT_MULTI_OPNAME = "unmount" ] ; then
   if [ $ACT_PHASE = "post" ] ; then
        echo "NO-OP for post-script when unmount"
        echo "** no op exit **"
      exit
   fi
   if [ "$ACT_LOGSMART_TYPE" = "log" ] ; then
	echo "** no op exit **"
     exit
   fi
   if [ $ACT_PHASE = "pre" ] ; then
	echo "************************* start pre during unmount ************************"

. /act/scripts/act_Conf_Target_Primary.conf

if [ -z $TARGET_PRIMARY_NODE ]; then
   echo "ERROR TARGET_PRIMARY_NODE IP is not set , check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

if [ -z $TARGET_PRIMARY_PORT ]; then
   echo "ERROR TARGET_PRIMARY_PORT mongdb port is not set, check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

if [ -z $MONGO_REPLICASET ]; then
   echo "ERROR MONGO_REPLICASET target mongdb replicaset name is not set, check /act/scripts/act_Conf_Target_Primary.conf file existing..."
   exit 1
fi

TARGET_PRIMARY_NODE=$TARGET_PRIMARY_NODE
TARGET_PRIMARY_PORT=$TARGET_PRIMARY_PORT
MONGO_REPLICASET=$MONGO_REPLICASET

pmonid=`ps aux | grep -i mongod | grep -i dbpath | grep -i $TARGET_PRIMARY_PORT | awk {'print $2'}`

if [ ! -z $pmonid ] && [ "$pmonid" -gt "0" ]; then
echo "stopping mongo process id $pmonid running on port $TARGET_PRIMARY_PORT"
kill -9 $pmonid
sleep 5
fi

fi
fi

exit

