#!/bin/sh
# script template to be used by Actifio Connector
# supported operations
#  1. init
#  2. freeze
#  3. unfreeze (thaw)
#  4. fini
#  5. abort
# these operations are managed by Actifio Appliance and Actifio Connector

set +x 
op=$1

source /act/scripts/mongodbbackup.conf

hostip=$hostip
port=$mport

if [ -z $hostip ]; then
   echo "ERROR dbhost IP is not set , check /act/scripts/mongodbbackup.conf file existing..."
   exit 1
fi

if [ -z $port ]; then
   echo "ERROR mongdb port is not set, check /act/scripts/mongodbbackup.conf file existing..."
   exit 1
fi

retval=0
echo "Executing script for operation: $op"

isslave=`mongo --quiet --host "$hostip" --eval 'rs.isMaster().secondary'`
if [ "$isslave" = "true" ]; then
case "$op" in
  "freeze")
	EVAL="var op='$op'"
	retval=$(mongo $hostip:$port --eval "$EVAL" mongoquiesce.js | awk 'BEGIN {FS=":";} /Status/ {print $2}')
	echo "Returning with $retval"
	;;
  "thaw")
	EVAL="var op='$op'"
	retval=$(mongo $hostip:$port --eval "$EVAL" mongoquiesce.js | awk 'BEGIN {FS=":";} /Status/ {print $2}')
	echo "Returning with $retval"
	;;
esac
else 
  echo "Backup is not running on secondary node"
  exit 1 
fi

exit $retval

