/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2011 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : monitingRmanJob.sql
 *
 * Description:   monitor long running RMAN jobs, sid is the session ID, time_remaining is in seconds
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
WHENEVER SQLERROR EXIT SQL.SQLCODE
select sid, to_char(start_time, 'DD-MM-YYYY:HH24::MI::SS') start_time, totalwork, sofar, round((sofar/totalwork)*100, 2) pct, time_remaining 
from v$session_longops 
where totalwork > sofar 
and opname not like '%aggregate%' 
and opname like 'RMAN%';
exit;
