#!/bin/bash

set -x

source /act/scripts/act_Conf_Target_Logrecover.conf

logloc=$LOG_LOCATION
startposloc=$TARGET_DATA_DIR
socketfile=$TARGET_SOCKET_FILE



#Get start position, start log and start log number

startpos=`cat $startposloc/startpos.txt | awk -F" " '{print $2}'`
startlog=`cat $startposloc/startpos.txt | awk -F" " '{print $1}'`
startlognum=`echo $startlog | awk -F"." '{print $2}'`

echo $startpos
echo $logloc/$startlog > $startposloc/logs.txt
#List all the log files greater the last log


find $logloc/*.[0-9]* -newer $logloc/$startlog  >> $startposloc/logs.txt

# Check for until time

if [ ! -z "$UNTIL_TIME" ]; then
    startdate=`stat -c %Y $logloc/$startlog | awk '{print strftime("%Y-%m-%d %H:%M:%S", $1)}'`
    enddate=$(date -d "$UNTIL_TIME" +%s)
    startdate=$(date -d "$startdate" +%s)
    if [ "$startdate" -gt "$enddate" ]; then
       echo "UNTIL Time specified is not valid." 
       exit 1;
    fi
fi

#Concatinate all the logs with space separated.

for i in `cat $startposloc/logs.txt`
do
loglist=$loglist" "$i
done

echo $loglist

MYSQL_BIN=`echo $MYSQL_CMD | sed '0,/mysql/s//mysqlbinlog/'`

# Apply the logs
if [ ! -z "$loglist" ]; then
 if [ ! -z "$UNTIL_TIME" ]; then
   su - $OSUSER -c "$MYSQL_BIN --start-position=$startpos --stop-datetime='$UNTIL_TIME' $loglist | mysql -S $socketfile"
   retval=$?
  else
    su - $OSUSER -c "$MYSQL_BIN --start-position=$startpos $loglist | mysql -S $socketfile"
   retval=$?
  fi
fi

if [ "$retval" -gt "0" ]; then
 echo "Recovery of MySQL database failed!"
fi
