#!/bin/sh

#export ACT_JOBTYPE="mount"
#export ACT_PHASE="post"

set -x
conffile=$2;
if [ -z $conffile ]; then
 conffile=/act/scripts/act_Conf_Target_Slave.conf
 source $conffile
else
source /act/scripts/$conffile
fi
cd /act/scripts

echo "***************** POSTSKJOB_TYPE= $ACT_JOBTYPE *********************"

if [ $ACT_JOBTYPE = "unmount" ] || [ $ACT_MULTI_OPNAME = "unmount" ] ; then
   echo "NO-OP for post-script when unmount"
   exit 0
fi
if [ $ACT_JOBTYPE == "mount" ] || [ $ACT_MULTI_OPNAME == "mount" ] ; then
   if [ $ACT_PHASE == "pre" ] ; then
        echo "** No op for pre during unmount **"
      exit
   fi
   if [ $ACT_PHASE == "post" ] ; then
        echo "************************* start post during mount ************************"

mntpt=$TARGET_MNT_PNT
chown mysql:mysql /$mntpt
myconf=$mntpt$SRC_DATA_DIR$mntpt.conf

#Empty the UUID for the slave

echo "" > $mntpt$SRC_DATA_DIR/auto.cnf

# Start service as MySql service and setup Slave
mysqlsocket=$mntpt$SRC_DATA_DIR$mntpt.sock
echo -e "[client]" > $myconf
echo -e "socket=$mntpt$SRC_DATA_DIR$mntpt.sock" >> $myconf
echo -e "port=$PORT" >> $myconf
echo -e "[mysqld]" >> $myconf
echo -e "datadir=$mntpt$SRC_DATA_DIR" >> $myconf
echo -e "socket=$mntpt$SRC_DATA_DIR$mntpt.sock" >> $myconf
echo -e "port=$PORT" >> $myconf
echo -e "pid-file=$mntpt$SRC_DATA_DIR$mntpt.pid" >> $myconf
echo -e "log-error=$mntpt$SRC_DATA_DIR/actmysql.log" >> $myconf
echo -e "tmpdir=$mntpt$SRC_TMP_DIR" >> $myconf
echo -e "innodb_data_home_dir=$mntpt$SRC_DATA_DIR" >> $myconf
echo -e "server-id=$SERVER_ID" >> $myconf
echo -e "relay_log=$mntpt$SRC_RELAY_LOG" >> $myconf
echo -e "relay_log_index=$mntpt$SRC_RELAY_LOG_INDEX" >> $myconf
echo -e "relay_log_info_file=$mntpt$SRC_RELAY_LOG_INFO_FILE" >> $myconf

chown -R mysql:mysql $myconf

mysqlversion=`su - $OSUSER -c "mysql -V" |awk '{print $5}'|awk -F"," '{print $1}'`
echo "MySQL version is $mysqlversion"

if [ "$mysqlversion" == "5.7.20" ]; then
su - $OSUSER -c "mysqld_safe --defaults-file=$myconf --lc-messages-dir=$MESSAGES_DIR &"
retval=$?
else
su - $OSUSER -c "mysqld --defaults-file=$myconf --lc-messages-dir=$MESSAGES_DIR &"
retval=$?
fi
sleep 10;

if [ "$retval" -gt "0" ]; then
echo "Failed to start MySql Service with Slave configuration..!"
exit 1;
fi 
su - $OSUSER -c "$MYSQL_CMD -S $mysqlsocket" << EOF
reset slave all;
CHANGE MASTER TO MASTER_HOST='$MASTER_HOST', MASTER_USER='$MASTER_USER', MASTER_PASSWORD="$MASTER_PASSWORD", MASTER_LOG_FILE='$MASTER_LOG_FILE', MASTER_LOG_POS=$MASTER_LOG_POS;
start slave;
EOF
retval=$?
if [ "$retval" -gt "0" ]; then
echo "Failed to start Slave..!!"
exit 1;
fi

fi
fi

