#!/bin/bash
set -x
PWD=/act/scripts


dat="$(date +'%m%d%Y%H%M%S')"
source /act/scripts/act_MySQL_cmd.conf

backuplogloc=$LOGBKPLOC

### log file location

tmpbinarylogloc=`su - $OSUSER -c "$MYSQL_CMD -s" << EOF
show variables like 'log_bin_index';
EOF` 

## Get index logfile and logfile names.
tmpbinarylogloc=`echo $tmpbinarylogloc | awk -F" " '{print $2}'`
binarylogloc=`dirname $tmpbinarylogloc`
binarylogfile=`basename $tmpbinarylogloc`
echo $binarylogloc


## Get the log start position

tmplogpos=`su - $OSUSER -c "$MYSQL_CMD -s" <<EOF
show master status;
EOF`

endlogpos=`echo $tmplogpos | awk -F" " '{print $2}'`
echo $tmplogpos > $backuplogloc/endpos_$dat.txt

#Flush the log file before backup
su - $OSUSER -c "$MYSQL_CMD -e 'flush logs;'"

lastlogfile=`tail -1 $tmpbinarylogloc`
lastlogfile=`basename $lastlogfile`
binarylogfile=`basename $lastlogfile`
# backup the logfile 

for i in `cat $tmpbinarylogloc`
do
i=`basename $i`
if [ "$i" == "$lastlogfile" ]; then
break;
fi
#loglist=$loglist" "$i
cp $binarylogloc/$i /$backuplogloc/
done


#Purge the log file after backup
echo " Backup done"
echo "$binarylogfile"
su - $OSUSER -c "$MYSQL_CMD -s" << EOF
purge binary logs to '$binarylogfile';
EOF




echo $retval
exit $retval
