set pagesize 200
set linesize 200
set feedback off
set echo on
col HOST_NAME format a15
col filename format a75
col dbfileStatus format a20
col dbfileEnable format a20
select banner from v$version;
select INST_ID,INSTANCE_NAME,HOST_NAME,VERSION,ARCHIVER,DATABASE_STATUS,INSTANCE_ROLE from gv$instance order by 1,2;
select INST_ID,dbid, name, open_mode from gv$database order by 1,2;
select count(*) tablespaceCount from v$tablespace where name not in (select tablespace_name from v$temp_space_header);
select count(*) datafileCount from v$datafile where file# not in (select file_id from v$temp_space_header);
select status "dbfileStatus", enabled "dbfileEnable", count(*) from v$datafile group by status, enabled;
select sum(bytes)/(1024*1024*1024) "dbSize (GB)" from v$datafile;
select group#,thread#, sum(bytes)/(1024*1024*1024) "RlogSizeGB" from v$log group by group#,thread# order by group#,thread#;
select filename, status "BCTStatus" from v$block_change_tracking;
select * from v$pwfile_users;
SELECT THREAD#, TRUNC(completion_time)  "Archive Generation Date" ,
       round(SUM(blocks*block_size),0)/(1024*1024*1024) archlog_daily_size_GB
FROM gv$archived_log
where completion_time > sysdate - 10
GROUP BY THREAD#,TRUNC(completion_time)
order by THREAD#,TRUNC(completion_time);
select space_used/(1024*1024*1024) dbRecoveryDestUsedGB ,space_limit/(1024*1024*1024) dbRecoveryDestTotalGB from v$recovery_file_dest;
exit

