#!/bin/bash
set -x

#export ACT_JOBTYPE="mount"
#export ACT_PHASE="post"
SWD=/act/scripts

if [ ! -d $SWD ]; then
   echo "could not found $SWD script folder. exiting ...."
   exit 1
fi

source /act/scripts/act_Conf_Target_Master.conf

###Check /act/scripts/act_Conf_Target_Master.conf file
if [ -z $TARGET_MASTER_NODE ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_NODE not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_MASTER_PORT ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_PORT not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_POSTGRES_HOME ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_POSTGRES_HOME not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_MASTER_MOUNTPOINT ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_MOUNTPOINT not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_MASTER_ARC_LOCATION ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_ARC_LOCATION not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_POSTGRES_DATA_PATH ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_POSTGRES_DATA_PATH not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
elif [ ! -d $TARGET_POSTGRES_DATA_PATH ]; then
  echo "********************* ERROR ******************************"
  echo "Directory TARGET_POSTGRES_DATA_PATH: $TARGET_POSTGRES_DATA_PATH not exists"
  exit 1
elif [ ! -f $TARGET_POSTGRES_DATA_PATH/postgresql.conf ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_POSTGRES_DATA_PATH: $TARGET_POSTGRES_DATA_PATH is not contains postgresql.conf"
  exit 1
fi
if [ -z $TARGET_MASTER_ARC_MOUNTPOINT ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_ARC_MOUNTPOINT not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi

retval=0

echo "restore_command = 'cp $TARGET_MASTER_ARC_LOCATION/%f "%p"'" >> $TARGET_POSTGRES_DATA_PATH/recovery.conf
echo "recovery_target_time='$RECOVERY_TIME'" >> $TARGET_POSTGRES_DATA_PATH/recovery.conf

###Find PostgreSQL owner and group
TARGET_MASTER_OS_USER=`ls -ld $TARGET_POSTGRES_HOME | awk '{print $3}'`
TARGET_MASTER_OS_GROUP=`ls -ld $TARGET_POSTGRES_HOME | awk '{print $4}'`

# Give archive mount point permissions to postgres OSUSER
chown -R $TARGET_MASTER_OS_USER:$TARGET_MASTER_OS_GROUP $TARGET_MASTER_ARC_MOUNTPOINT
firstDir="/"`echo $TARGET_MASTER_ARC_MOUNTPOINT | cut -d/ -f2`
chmod -R 755 $firstDir
