#!/bin/bash
# act_Pre_Target_Master.sh
set -x

#export ACT_JOBTYPE="unmount"
#export ACT_PHASE="pre"

SWD=/act/scripts

if [ ! -d $SWD ]; then
   echo "could not found $SWD script folder. exiting ...."
   exit 1
fi

echo "****************** PRESK_JOBTYPE $ACT_JOBTYPE ***************"

if [ $ACT_JOBTYPE = "unmount" ] || [ $ACT_MULTI_OPNAME = "unmount" ] ; then
   if [ $ACT_PHASE = "post" ] ; then
        echo "NO-OP for post-script when unmount"
        echo "** no op exit **"
        exit
   fi
   if [ "$ACT_LOGSMART_TYPE" = "log" ] ; then
	    echo "** no op exit **"
      exit
   fi
   if [ $ACT_PHASE = "pre" ] ; then
	    echo "************************* start pre during unmount ************************"


source /act/scripts/act_Conf_Target_Master.conf

###Check /act/scripts/act_Conf_Target_Master.conf file
if [ -z $TARGET_MASTER_NODE ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_NODE not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_MASTER_PORT ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_PORT not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_POSTGRES_HOME ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_POSTGRES_HOME not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_MASTER_MOUNTPOINT ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_MASTER_MOUNTPOINT not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi
if [ -z $TARGET_POSTGRES_DATA_PATH ]; then
  echo "********************* ERROR ******************************"
  echo "TARGET_POSTGRES_DATA_PATH not set. Please check config file: /act/scripts/act_Conf_Target_Master.conf"
  exit 1
fi

###Find PostgreSQL owner and group
TARGET_MASTER_OS_USER=`ls -ld $TARGET_POSTGRES_HOME | awk '{print $3}'`
TARGET_MASTER_OS_GROUP=`ls -ld $TARGET_POSTGRES_HOME | awk '{print $4}'`

# Set environment for PostgreSQL
PATH=$TARGET_POSTGRES_HOME/bin:$PATH
LD_LIBRARY_PATH=$TARGET_POSTGRES_HOME/lib:$LD_LIBRARY_PATH

retval=0
if [[ -d $TARGET_POSTGRES_DATA_PATH && -f $TARGET_POSTGRES_DATA_PATH/postmaster.pid ]]; then
  PGSTATUS=$(su - $TARGET_MASTER_OS_USER -c 'pg_ctl status -D '$TARGET_POSTGRES_DATA_PATH'')
  if [ "$PGSTATUS" != "pg_ctl: no server running" ]; then
    su -m $TARGET_MASTER_OS_USER -c 'pg_ctl  -D '$TARGET_POSTGRES_DATA_PATH' stop'
    retval=$?
  fi
fi

echo "************************* end pre during unmount ************************"
fi
fi

exit $?
