/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2014 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : rmanBackupOutputBytes.sql 
 *
 * Description:   output bytes from RMAN backup jobs
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
set numwidth 18
WHENEVER SQLERROR EXIT SQL.SQLCODE
select output_bytes from v$rman_backup_job_details
where input_type in ('DB FULL', 'DB INCR', 'CONTROLFILE', 'SPFILE', 'ARCHIVELOG')
and start_time > to_date(trunc(&1/86400), 'J') + ((&2 - trunc(&3/86400)*86400)/86400);
exit;
