/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2012 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : rmanOutputErrorWarningOutput.sql
 *
 * Description:   get RMAN output for last completed session with errors
 *
 * =============================================================
 */
set pages 0
set head off
set feed off
set timing off
set echo off
WHENEVER SQLERROR EXIT SQL.SQLCODE
select trim(count(output))
from v$rman_output 
where session_recid = (select max(session_recid) 
      from v$rman_status 
      where status like '%ERRORS' or status like '%WARNINGS') 
and (output like '%ORA-00205%' 
or output like '%ORA-00204%' 
or output like '%ORA-00206%' 
or output like '%ORA-00210%' 
or output like '%ORA-00257%'
or output like '%ORA-00333%' 
or output like '%ORA-00345%' 
or output like '%ORA-00440%'
or output like '%ORA-00485%' 
or output like '%ORA-00600%' 
or output like '%ORA-00639%' 
or output like '%ORA-01115%' 
or output like '%ORA-01116%' 
or output like '%ORA-09210%'
or output like '%RMAN-03014%'
or output like '%RMAN-04025%' 
or output like '%RMAN-04026%' 
or output like '%RMAN-04027%' 
or output like '%RMAN-05018%' 
or output like '%RMAN-03002%' 
or output like '%RMAN-06169%'
)
order by recid;
exit;
