#!/bin/bash
set -x

DBSID=$1
DBUSER=$2
DBPORT=$3
PORT=$4
HANAVERSION=$5

echo "************************** DATE:$DATE: Close Snapshot $DBSID database ******************"

HCMT='ACT_'$DBSID'_SNAP'

SQL="SELECT BACKUP_ID from M_BACKUP_CATALOG WHERE COMMENT = '$HCMT' and ENTRY_TYPE_NAME = 'data snapshot' and STATE_NAME = 'prepared' and SYS_END_TIME is null "

ID=`/usr/sap/$DBSID/$DBPORT/exe/hdbsql -i $PORT -U $DBUSER -a -j $SQL | head -n1`

if [ "$HANAVERSION" = "1.0" ]
then
SQL="BACKUP DATA CLOSE SNAPSHOT BACKUP_ID $ID SUCCESSFUL 'ActBackup'"
else
SQL="BACKUP DATA FOR FULL SYSTEM CLOSE SNAPSHOT BACKUP_ID $ID SUCCESSFUL 'ActBackup'"
fi

/usr/sap/$DBSID/$DBPORT/exe/hdbsql -i $PORT -U $DBUSER -a -j $SQL
retval=$?

exit $retval

