#!/bin/sh
set -x

WPWD=/act/scripts

#export ACT_JOBTYPE=mount
#export ACT_PHASE=post

. /act/scripts/HANADB_config.conf

if [ -z $dbsid ]; then
echo "ERROR: Database SID is not set under /act/scripts/HANADB_config.conf"
exit 1
fi

if [ -z $ACT_MOUNT_POINTS ]; then
 echo "ERROR: getting mount point. Recovery may fail"
else
 chown -R $DATAVOLUMEOWNER $ACT_MOUNT_POINTS
fi

dbsidadm=$dbsid"adm"
export dbsidadm

if [ "$ACT_JOBTYPE" == "mount" ] || [ "$ACT_MULTI_OPNAME" == "mount" ] ; then
   if [ "$ACT_PHASE" == "pre" ] ; then
	echo "********** No pre script during mount ************"
      exit
   fi
   if [ "$ACT_LOGSMART_TYPE" == "log" ] ; then
        echo "********** No op during log mount ************"
      exit
   fi

   if [ "$ACT_PHASE" == "post" ] ; then
	echo "********** call HANA DB recovery ************"

         su - $dbsidadm -c "$WPWD/ACT_HANADB_saphana_recover.sh"
	echo "********** end HANA DB recover ************"

   fi
fi

exit 0

