#!/bin/bash

set -x

DATE=`date`
echo "$DATE"

. /act/scripts/HANADB_config.conf

if [ -z $PYTHONPATH ]; then
echo "ERROR:PYTHONPATH-- path for recoverSys.py is not set under /act/scripts/HANADB_config.conf"
exit 1
fi

echo "************************** running HDB info  ******************"
HDB info

echo "************************** running recoverSys.py  ******************"

HDBSettings.sh $PYTHONPATH/recoverSys.py --command="RECOVER DATA USING SNAPSHOT CLEAR LOG"

echo "************************** running HDB info  ******************"
HDB info

if [ "$HANAVERSION" = "2.0" ]
then
echo "********** starting HANA TENANT DB recover:DBUSER=$DBUSER and dbsid=$dbsid ************"
sleep 60
SQL="alter system start database $dbsid"
hdbsql -U $DBUSER -a -j $SQL
echo "********** end HANA TENANT DB recover ************"
echo "************************** running HDB info  ******************"
HDB info
fi

echo "************************** Database recovery complete ******************"

exit

