#!/bin/sh
# script template to be used by Actifio Connector
# supported operations
#  1. init
#  2. freeze
#  3. unfreeze (thaw)
#  4. fini
#  5. abort
# these operations are managed by Actifio Appliance and Actifio Connector

set +x 
op=$1
appid=$2
SWD=/act/scripts
echo $SWD

DBSID='<HANA database sid name>'
KEYNAME='<key_name created using hdbuserstore>'
INSTANCENUM='<get the Instance number from the SQL Port>'
HANAVERSION='<HANA DATABASE VERSION (1.0 or 2.0)>'

DBUSER=$KEYNAME
PORT=$INSTANCENUM
DBPORT='HDB'$PORT

sname=`basename $0`

if [ $HANAVERSION = "1.0" ]
then
   echo "HANA DATABASE VERSION: $HANAVERSION"
elif [ $HANAVERSION = "2.0" ]
then
   echo "HANA DATABASE VERSION: $HANAVERSION"
else
   echo "HANA DATABASE VERSION: $HANAVERSION is invalid. Supported version are 1.0 and 2.0"
   exit 1
fi

retval=0
function rexec
{
   op=$1
   script=/act/scripts/$op'.'$appid
   if [ -f $script ]; then
      $script $DBSID $DBUSER $DBPORT $PORT $HANAVERSION
       retval=$?
   else
      echo "NO-OP for $op"
   fi
}

allowed="init freeze thaw fini abort"
found=0
for i in $allowed
do
if [ $i = $op ]
then
   echo "executing $op...."
   rexec $op
   if [ $retval -ne 0 ]
    then
     exit 1
   fi
   found=1
fi
done
echo $found
if [ $found = 0 ]
then
   echo "operation not supported!"
fi

exit 0

