#!/bin/sh
# =============================================================================
# Actifio Unified Data Protector
# Copyright (c) 2011 Actifio Inc. All Rights Reserved
#
# This program code contains trade secrets of Actifio Inc. that
# (i) derive independent economic value, actual or potential, from not being
# generally known to, and not being readily ascertainable by proper means by
# other persons who can obtain economic value from their disclosure or use and;
# (ii) are the subject of efforts by Actifio Inc that are reasonable under the
# circumstances to maintain their secrecy. You may not use this program code
# without prior written authorization from Actifio Inc.
#
# Description: shell interface with sqlplus
#              takes two parameters 1. login string and 2. query; separated by ;
#
# ==============================================================================

OLDIFS=${IFS}
IFS=';'

read input
set -- $input

if [ $# -lt 5 ]; then
   exit 1
fi

login=$1
query=$2
sid=$3
instid=$4
authtype=$5
nlistener=$6
orahome=$7

#orauser=`ps -ef | grep -v grep | grep ora_pmon_"$instid" | head -n1 | sed -e 's/^[ \t]*//' | cut -d" " -f1`
orauser=`ps -ef | grep -v grep | grep ora_pmon_"$instid$" | sed -e 's/^[ \t]*//' | cut -d" " -f1`
. /act/act_scripts/commresource.sh

#check orauser is valid
if [ ! -z "$orauser" ]; then
result=`id $orauser`
if [ $? -ne 0 ]; then
   uid=$orauser
   orauser=`$awkc -v val=$uid -F ":" '$3==val{print $1}' /etc/passwd`
   result=`id $orauser`
   if [ $? -ne 0 ]; then
      orauser=''
   fi
fi
fi

export PATH
export ORACLE_SID
export ORACLE_HOME
export TNS_ADMIN
export LD_LIBRARY_PATH

set +x
sqlplus=$oraclehome/bin/sqlplus
if [ ! "$authtype" = "os" ]; then
psph=`/opt/act/bin/udsagent decode -d $sid dp`
login=`echo $login | sed "s/xxx/${psph}/g"`
retval=`(cat - << EOF ; cat - ) | $sqlplus -s -L /nolog | grep -vi connected
connect $login
set pages 0
set head off
set feed off
set verify off
set timing off
set termout on
$query;
exit;
EOF`
else
#os auth, need to check orauser
if [ -z "$orauser" ]; then
   echo "Could not determine os user for $sid"
   exit 1
fi
#check orauser

if [ "$os" != "Linux" ]; then
 retval=`su $orauser -c "LD_LIBRARY_PATH=$ORACLE_HOME/lib;export LD_LIBRARY_PATH;$sqlplus -s -L /nolog | grep -vi connected" << EOF
connect $login
set pages 0
set head off
set feed off
set verify off
set timing off
set termout on
$query;
exit;
EOF`
else
 retval=`su -m $orauser -c "LD_LIBRARY_PATH=$ORACLE_HOME/lib;export LD_LIBRARY_PATH;$sqlplus -s -L /nolog | grep -vi connected" << EOF
connect $login
set pages 0
set head off
set feed off
set verify off
set timing off
set termout on
$query;
exit;
EOF`
fi
fi
IFS=$OLDIFS

echo $retval
