#!/bin/sh

#export ACT_JOBTYPE="unmount"
#export ACT_PHASE="pre"
tmp_loc=/act/touch
if [ ! -d "$tmp_loc" ]; then
   mkdir -p $tmp_loc
fi
chmod 777 /act/touch

set -x
conffile=/act/scripts/act_Conf_Target_Standby.conf
source $conffile

cd /act/scripts
echo "****************** PRESK_JOBTYPE $ACT_JOBTYPE ***************"

if [ "$ACT_JOBTYPE" = "unmount" ] || [ "$ACT_MULTI_OPNAME" = "unmount" ] ; then
   if [ "$ACT_PHASE" = "post" ] ; then
        echo "NO-OP for post-script when unmount"
        echo "** no op exit **"
      exit
   fi
   if [ "$ACT_PHASE" = "pre" ] ; then
        echo "************************* start pre during unmount ************************"

mntpt=$TARGET_MNT_PNT

mntsearch=`echo $TARGET_MNT_PNT | awk -F"/" '{print $2}'`

echo search:$mntsearch

su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME  -X -n -b -o $tmp_loc/db_pre.txt" <<EOF
set nocount on
go
select distinct sda.name from master..sysdatabases sda, master..sysdevices sde, master..sysusages su where su.dbid=sda.dbid and su.vdevno=sde.vdevno and sde.phyname like "%$mntsearch%"
go
quit
EOF

while read line 
do
if [ -z $dbnamelist ]; then
    dbnamelist=$line
else
    dbnamelist=$dbnamelist","$line
fi
done < $tmp_loc/db_pre.txt

echo $dbnamelist
if [ ! -z "$dbnamelist" ]; then
su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X --retserverror" <<EOF
unmount database $dbnamelist to '$tmp_loc/manifest_pre'
go
EOF
fi
retval=$?


if [ $retval -gt "0" ]; then
 echo "ERROR: Unmount database command Failed!"
 exit 1
fi


if [ -e $tmp_loc/manifest_pre ]; then
 rm -f $tmp_loc/manifest_pre
fi

if [ -e $tmp_loc/db_pre.txt ]; then
 rm -f $tmp_loc/db_pre.txt
fi

fi
fi

exit $?
