#!/bin/sh

export ACT_JOBTYPE="mount"
export ACT_PHASE="post"
tmp_loc=/act/touch
if [ ! -d "$tmp_loc" ]; then
   mkdir -p $tmp_loc
fi
chmod 777 /act/touch
set -x
cd /act/scripts
conffile=/act/scripts/act_Conf_Target_Primary.conf
source $conffile
echo "***************** POSTSKJOB_TYPE= $ACT_JOBTYPE *********************"

if [ "$ACT_JOBTYPE" = "unmount" ] || [ "$ACT_MULTI_OPNAME" = "unmount" ] ; then
   echo "NO-OP for post-script when unmount"
   exit 0
fi
if [ $ACT_JOBTYPE = "mount" ] || [ $ACT_MULTI_OPNAME = "mount" ] ; then
   if [ $ACT_PHASE = "pre" ] ; then
        echo "** No op for pre during unmount **"
      exit
   fi
   if [ $ACT_PHASE = "post" ] ; then
        echo "************************* start post during mount ************************"

# Mount the binary mount point

#mountfile=`ls -ltr /act/mountedmaps/ | tail -1 | awk -F" " '{print $9}'`
mountfile=`ls -t /act/mountedmaps/ | head -n1 |awk '{printf("%s",$0)}'`
binarymntpt=`cat /act/mountedmaps/"$mountfile" | grep -v "db" | grep -v "log" | awk -F ":" '{print $2}'`

if [ ! -d "/sybase/$SRC_DBNAME" ]; then
 mkdir -p /sybase/$SRC_DBNAME
# chown $OSUSER:$OSUSER /sybase/$SRC_DBNAME
fi

if [ ! -z $binarymntpt ]; then
 mount $binarymntpt /sybase/$SRC_DBNAME
else
 echo "Error: Unable to mount Sybase binary mount point.!"
 exit 1
fi

sed -i "s/$OLD_HOST/$NEW_HOST/g" /sybase/$SRC_DBNAME/interfaces

# Start the sybase server

echo "Starting the Sybase Server..!"
checkserver=`ps -ef| grep dataserver | grep -w $TARGET_SERVER_NAME | grep -v "grep -w" |wc -l`
if [ $checkserver -gt "0" ]; then
  echo " Sybase server is already runnnig..!"
else
su - $OSUSER -c "startdb"
retval=$?
fi
if [ $retval -gt "0" ]; then
  echo "Start of Sybase server failed!"
  exit 1
fi
sleep 5

# Query the stale devices

su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X -n -b -o $tmp_loc/staledevices_$SRC_DBNAME.txt"<<EOF
set nocount on
go
use master
go
select sde.name||';'||sde.phyname from master..sysdatabases sda, master..sysdevices sde, master..sysusages su where su.dbid=sda.dbid and su.vdevno=sde.vdevno and sda.name="$SRC_DBNAME"
go
EOF

su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X"<<EOF
use master
go
drop database $SRC_DBNAME 
go
EOF

sleep 5

while read line
do
staledevice=`echo $line | awk -F";" '{print $1}'`
su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X --retserverror" <<EOF
use master
go
sp_dropdevice $staledevice
go
EOF
done < $tmp_loc/staledevices_$SRC_DBNAME.txt

retval=$?

if [ $retval -gt "0" ]; then
 echo "Error during unmount operation..!"
 exit 1;
else
  echo "Stale metadata information cleanup is completed..!"
fi

##############################################
# Mount database and log mount points
cat /act/mountedmaps/"$mountfile" | grep sybdb > $tmp_loc/mapped_db_device.txt

while read line
do
db_device=`echo $line | awk -F":" '{print $1}'`

mntpt=`echo $line | awk -F":" '{print $2}'`
device_num=`echo -n $db_device | tail -c 1`

if [ "$device_num" = "b" ]; then
  mkdir -p /sybase/$SRC_DBNAME/sapdata_1
  #chown $OSUSER:$OSUSER /sybase/$SRC_DBNAME/sapdata_1
  mount $mntpt /sybase/$SRC_DBNAME/sapdata_1
  retval=$?
elif [ "$device_num" != "b" ]; then
  mkdir -p /sybase/$SRC_DBNAME/sapdata_$device_num
  #chown $OSUSER:$OSUSER /sybase/$SRC_DBNAME/sapdata_$device_num
  mount $mntpt /sybase/$SRC_DBNAME/sapdata_$device_num
  retval=$?
fi
done < $tmp_loc/mapped_db_device.txt

if [ $retval -gt "0" ]; then
 echo "Error during db device mount operation..!"
 exit 1;
fi

cat /act/mountedmaps/"$mountfile" | grep syblog > $tmp_loc/mapped_log_device.txt
while read line
do
db_device=`echo $line | awk -F":" '{print $1}'`

mntpt=`echo $line | awk -F":" '{print $2}'`
device_num=`echo -n $db_device | tail -c 1`
if [ "$device_num" = "g" ]; then
   mkdir /sybase/$SRC_DBNAME/saplog_1
   #chown $OSUSER:$OSUSER /sybase/$SRC_DBNAME/saplog_1
   mount $mntpt /sybase/$SRC_DBNAME/saplog_1
   retval=$?
fi
done < $tmp_loc/mapped_log_device.txt

if [ $retval -gt "0" ]; then
 echo "Error during device mount operation..!"
 exit 1;
fi
##############################################

su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X --retserverror" <<EOF
use master
go
mount database all from '$MANIFEST_FILE_LOC/Manifest_File'
go
EOF

retval=$?

if [ $retval -gt "0" ]; then
 echo "Error during mount operation..!"
 exit 1;
fi

if [ "$LOG_RECOVERY" = "YES" ]; then
 echo "Performing Transaction recovery...!!"
 /act/scripts/act_sybase_logrecovery.sh
else
su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X --retserverror" <<EOF
use master
go
online database $SRC_DBNAME
go
EOF
fi

retval=$?

if [ $retval -gt "0" ]; then
 echo "Online database operation failed..!"
 exit 1;
fi

exit $retval

fi
fi

