#!/bin/sh
set -x

post_script=$1
tmp_loc=/act/touch
chmod 775 /act/touch

conffile=/act/scripts/act_Conf_Target_Primary.conf
if [ -f $conffile ]; then
 source $conffile
else
 echo "ERROR: Configuration file for Log Recovery does not exist!."
fi

#Get the recovery time from Manifest file location

recovery_from=`cat $TARGET_MNT_PNT/$MANIFEST_FILE_LOC/logbackup.txt| rev | cut -c3- | rev`
touch -t $recovery_from $tmp_loc/dummybegin

#Identify the transaction dumps needed for recovery

for i in $(echo $SRC_DBNAME | sed "s/,/ /g")
do
find $LOG_BKP_MNTPT/ -newer $tmp_loc/dummybegin |sort -n | grep $i > $tmp_loc/tran_dump_$i.txt
dump_file=$tmp_loc/tran_dump_$i.txt
if [ ! -z $UNTIL_TIME ]; then
 if [ "$UNTIL_TIME" -gt "$recovery_from" ]; then
 touch -t "$UNTIL_TIME" $tmp_loc/dummyend
 find $LOG_BKP_MNTPT/ -newer $tmp_loc/dummybegin ! -newer $tmp_loc/dummyend | sort -n | grep $i > $tmp_loc/tran_dump_$i.txt
 sed -i '/dummyend/d' $tmp_loc/tran_dump_$i.txt 
 dump_file=$tmp_loc/tran_dump_$i.txt
 else 
  echo "ERROR: UNTIL TIME: $UNTIL_TIME is less than Recovery Time: $recovery_from"
  exit 1
 fi 
fi

while read line
do
su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X" <<EOF
use master
go
load transaction $i from '$line'
go
EOF
done < $dump_file
done

if [ -z $post_script ]; then
for i in $(echo $SRC_DBNAME | sed "s/,/ /g")
do
su - $OSUSER -c "$TARGET_SYBASE_SQLD/bin/isql -U$TARGET_DB_USER -P$TARGET_DBUSER_PASSWD -S$TARGET_SERVER_NAME -X" <<EOF
use master
go
online database $i
go
EOF
done
fi

if [ -f $tmp_loc/dummybegin ]; then
 rm -f $tmp_loc/dummybegin
fi

if [ -f $tmp_loc/dummyend ]; then
 rm -f $tmp_loc/dummyend 
fi 

if [ -f "$tmp_loc/tran_dump_*.txt" ]; then
 rm -f $tmp_loc/tran_dump_*.txt
fi
