#!/bin/bash

set -x

if [ -f /act/scripts/act_Conf_Target_Primary.conf ]; then
  source act_Conf_Target_Primary.conf
else
  echo "Error: No configuration file exist!"
  exit;
fi

### Modify the /etc/hosts file 
tdate=`date +'%d%m%y'`

loc=/etc/
cp $loc/hosts $loc/etc.$tdate
SYB_HOME="<Please set the SYB_HOME Path and replace SID with variable $SRC_DBNAME>"
ADM_HOME="<Please set the ADM_HOME Path and replace SID with variable $SRC_DBNAME>"

echo "127.0.0.1     localhost localhost.localdomain localhost4 localhost4.localdomain4" > $loc/hosts
echo "::1           localhost localhost.localdomain localhost6 localhost6.localdomain6" >> $loc/hosts
echo "$NEW_HOST_IP   $NEW_HOST.bose.com  $NEW_HOST"        >> $loc/hosts

##Set new hostname

hostnamectl set-hostname $new_host

### Change /sapmnt/<SID>/profile

cd /sapmnt/$SRC_DBNAME
sed -i "s/$OLD_HOST/$NEW_HOST/g" /sapmnt/$SRC_DBNAME/profile
mv "$SRC_DBNAME"_DVEBMGS00_"$OLD_HOST" "$SRC_DBNAME"_DVEBMGS00_"$NEW_HOST"
mv "$SRC_DBNAME"_ASCS01_"$OLD_HOST" "$SRC_DBNAME"_ASCS01_"$NEW_HOST"

cd $SYB_HOME
old_host_tmp="$OLD_HOST"1
for i in `ls -a`; do sed -i "s/$OLD_HOST/$NEW_HOST/g" $i; done 2>/dev/null
for i in `ls -a`; do sed -i "s/$old_host_tmp/$NEW_HOST/g" $i; done 2>/dev/null

cd $ADM_HOME
for i in `ls -a`; do sed -i "s/$OLD_HOST/$NEW_HOST/g" $i; done 2>/dev/null
for i in `ls -a`; do sed -i "s/$old_host_tmp/$NEW_HOST/g" $i; done 2>/dev/null

echo "Host rename is completed"
