#!/bin/sh
set -x
tmp_loc=/act/touch
tname=$1
PWDS=/act/scripts
conffile=$PWDS/act_Sybase_logbackup.conf

if [ -f $conffile ]; then
 source $conffile
else
 echo "Configuration file does not exist.."
 exit 1
fi

if [ ! -d "$tmp_loc" ]; then
   mkdir -p $tmp_loc
fi
chmod 777 /act/touch

if [ -z $LOG_BKP_LOC ]; then
 exit 0
fi
# Get all the db list and dump transactions when "ALLDB" is specified


if [ "$SRC_DBNAME" = "ALL" ] || [ "$SRC_DBNAME" = "ALLDB" ]; then
 query="select name from master..sysdatabases where name not in ('master','model','pubs2','pubs3','sybmgmtdb','sybpcidb','sybsystemdb','sybsystemprocs','tempdb')"
su - $OSUSER -c "$SRC_SYBASE_SQLD/bin/isql -U$SRC_BACKUP_USER -P$SRC_USER_PASSWD -S$SRC_SERVER_NAME -X -n -b -o $tmp_loc/db_names_log.txt" <<EOF
set nocount on
go
$query
go
quit
EOF

#sed -i 1,2d $tmp_loc/db_names_log.txt
db_list=''
while read line
do
if [ -z $tname ]; then
tname=`date +%Y%m%d%H%M%S`
fi
filename=$LOG_BKP_LOC/$line'_'$tname.dat
su - $OSUSER -c "$SRC_SYBASE_SQLD/bin/isql -U$SRC_BACKUP_USER -P$SRC_USER_PASSWD -S$SRC_SERVER_NAME -X"<<EOF
dump transaction $line to "$filename"
go
EOF
done < $tmp_loc/db_names_log.txt
else 

echo "else"
for i in $(echo $SRC_DBNAME | sed "s/,/ /g")
do

db_name=`su - $OSUSER -c "$SRC_SYBASE_SQLD/bin/isql -U$SRC_BACKUP_USER -P$SRC_USER_PASSWD -S$SRC_SERVER_NAME -X -n -b" <<EOF
set nocount on
select name from master..sysdatabases where name = '$i'
go
EOF`
db_name=`echo $db_name |awk -F " " '{print $2}'`
echo dbanme:$db_name
if [ -z $tname ]; then
tname=`date +%Y%m%d%H%M%S`
fi
filename=$LOG_BKP_LOC/$i'_'$tname.dat
if [ ! -z $db_name ]; then
su - $OSUSER -c "$SRC_SYBASE_SQLD/bin/isql -U$SRC_BACKUP_USER -P$SRC_USER_PASSWD -S$SRC_SERVER_NAME -X"<<EOF
dump transaction $i to "$filename"
go
EOF
#echo "$filename > $manifestloc/$i.txt'"
fi
done

fi

