/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2011 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : tablespaceSize.sql
 *
 * Description:   get size info of tablespace (max_size (for autoextensible), current_size, free)
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set timing off
set echo off
set numwidth 18
select tot.name tablespace, 
	   tot.max_total, 
	   tot.current_total, 
	   fr.free
from 
	 (select tv.name, 
	         sum(dd.bytes) current_total, 
	         sum(dd.maxbytes) max_total
	  from v$tablespace tv, 
	       v$datafile dv, 
	       dba_data_files dd 
	  where dv.ts# = tv.ts# 
	  and dd.file_name = dv.name 
	  group by tv.name) tot,  
     (select tablespace_name, 
     	     sum(bytes) free 
      from sys.dba_free_space 
      group by tablespace_name) fr 
where fr.tablespace_name(+) = tot.name 
order by tot.name;
exit;
