/* ============================================================
 * Actifio VirtualData Pipeline
 * Copyright (c) 2013 Actifio Inc. All Rights Reserved
 *
 * This program code contains trade secrets of Actifio Inc. that
 * (i) derive independent economic value, actual or potential, from not being
 * generally known to, and not being readily ascertainable by proper means by
 * other persons who can obtain economic value from their disclosure or use and;
 * (ii) are the subject of efforts by Actifio Inc that are reasonable under the
 * circumstances to maintain their secrecy. You may not use this program code
 * without prior written authorization from Actifio Inc.
 *
 * Filename       : archivelogBeginEndTime.sql
 *
 * Description:   get unix epoch time in seconds for first_time of given (sequence#, thread#)
 *
 * =============================================================
 */

set pages 0
set head off
set feed off
set numwidth 18
alter session set NLS_COMP=LINGUISTIC;
alter session set NLS_SORT=BINARY_CI;
select count(*) from v$backup_piece p, v$backup_redolog r
where r.set_stamp = p.set_stamp and
 r.set_count = p.set_count
 and handle like '%&1%'
 and thread#=&2
 and sequence# in (&3,&4)
order by r.thread#, r.sequence#;
exit;
